# GimpUi.CellRendererToggle.new

    function new(icon_name: String): Gtk.CellRenderer {
        // Gjs wrapper for gimp_cell_renderer_toggle_new()
    }

Creates a custom version of the Gtk.CellRendererToggle. Instead of showing the standard toggle button, it shows a named icon if the cell is active and no icon otherwise. This cell renderer is for example used in the Layers treeview to indicate and control the layer's visibility by showing %GIMP_STOCK_VISIBLE.

Since 2.2

icon_name

  the icon name of the icon to use for the active state

Returns

  a new GimpUi.CellRendererToggle